%define packname  Biobase
%define bioc      2.5
%define Rversion  2.10.0

Name:             R-%{packname}
Version:          2.6.1 
Release:          1%{?dist}
Summary:          Base functions for Bioconductor

Group:            Applications/Engineering
License:          Artistic 2.0
URL:              http://bioconductor.org/packages/%{bioc}/bioc/html/Biobase.html
Source0:          http://bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-tkWidgets
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel >= %{Rversion} tetex-latex R-tkWidgets

%description
Base functions for Bioconductor (bioconductor.org). Biobase provides 
functions that are needed by many other Bioconductor packages or which 
replace R functions.

%description -l fr
Bibliothèque contenant des fonctions requises par d'autres bibliothèques
ou qui remplacent certaines fonctions dans R

%prep
%setup -c -q -n %{packname}


%build

%install
rm -rf %{buildroot}


mkdir -p %{buildroot}%{_libdir}/R/library 
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css


%check
# This library ask for the library ALL which can not be compiled without
# R-Biobase
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/UnitTests/
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/scripts
%{_libdir}/R/library/%{packname}/ExpressionSet
%{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/Code
%{_libdir}/R/library/%{packname}/extdata
%{_libdir}/R/library/%{packname}/testClass.R
%{_libdir}/R/library/%{packname}/NEWS

%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html


%changelog
* Thu Dec 17 2009 pingou <pingou@pingoured.fr> 2.6.1-1
- Update to 2.6.1

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 2.6.0-1
- Update to 2.6.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Nov 20 2009 pingou <pingou@pingoured.fr> 2.4.1-2
- Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 pingou <pingou@pingoured.fr> 2.4.1-1
- Update to 2.4.1
- Remove bad french translation

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 2.4.0-1
- Update to Bioconductor 2.4 and R-2.9.0

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 pingou <pingou-at-pingoured.fr> 2.2.2-1
- New update

* Thu Jan 22 2009 pingou <pingoufc4-at-yahoo.fr> 2.2.1-1
- New update

* Thu Nov 20 2008 pingou <pingoufc4-at-yahoo.fr> 2.2.0-2
- Correct the Source0

* Mon Oct 27 2008 pingou <pingoufc4-at-yahoo.fr> 2.2.0-1
- Update to version 2.2.0 for R >= 2.8.0

* Wed Jun 25 2008 pingou <pingoufc4-at-yahoo.fr> 2.0.1-1
- Update to version 2.0.1

* Fri May 02 2008 Pingou <pingoufc4@yahoo.fr> 2.0.0-1
- Update to bioconductor 2.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.16.1-5
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Pingou <pingoufc4@yahoo.fr> 1.16.1-4
- change on the BR

* Sun Nov 18 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-3
- Change on the description

* Sun Nov 18 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-2
- Change on the install command
- Change on the Requires
- Change on the description

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-1
- Update to bioconductor 2.1 

* Fri Jul 13 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-4
- Change in the R and BR section to fit the guidelines

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-3
- Change in post and postun to fit the packaging guidelines
- Change in prep to fit the guidelines

* Mon Jun 24 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-2
- Change de %%doc to avoid redundancy

* Thu May 17 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-1
- Submitting to Fedora Extras

* Wed Apr 25 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-0.1
- Build of the rpm
